org.eclipse.actf.model.ui.editor.browser

## Interface ICurrentStyles

    public interface ICurrentStyles

Interface for current style information of the Element

### Method Summary

Methods
`String` `getBackgroundColor()`
`String` `getBackgroundImage()`
`String` `getBackgroundRepeat()`
`String[]` `getChildTexts()`
`String` `getColor()`
`String` `getComputedBackgroundColor()`
`String` `getComputedBackgroundImage()`
`String` `getComputedColor()`
`String[]` `getDescendantTextsWithBGImage()`
`String` `getDisplay()`
`Element` `getElement()`
`String` `getFontFamily()`
`String` `getFontSize()`
`String` `getFontStyle()`
`String` `getFontVariant()`
`String` `getLetterSpacing()`
`String` `getLineHeight()`
`URL` `getLinkURL()`
`String` `getPosition()`
`Rectangle` `getRectangle()`
`String` `getTagName()`
`String` `getTextAlign()`
`String` `getTextDecoration()`
`String` `getVisibility()`
`String` `getXPath()`
`boolean` `hasChildText()`
`boolean` `hasDescendantTextWithBGImage()`
`boolean` `isLink()`

### Method Detail

#### getXPath

    String getXPath()

Returns:
  XPath (child path sequence) of the element

#### getTagName

    String getTagName()

Returns:
  tag name of the element

#### getRectangle

    Rectangle getRectangle()

Returns:
  get `Rectangle` of the element

#### isLink

    boolean isLink()

Returns:
  true if the element is link

#### getLinkURL

    URL getLinkURL()

Returns:
  the destination URL of the link

#### getBackgroundColor

    String getBackgroundColor()

Returns:
  background color

#### getBackgroundRepeat

    String getBackgroundRepeat()

Returns:
  background repeat

#### getBackgroundImage

    String getBackgroundImage()

Returns:
  background image

#### getColor

    String getColor()

Returns:
  foreground color

#### getDisplay

    String getDisplay()

Returns:
  display

#### getFontFamily

    String getFontFamily()

Returns:
  font family

#### getFontSize

    String getFontSize()

Returns:
  font size

#### getFontStyle

    String getFontStyle()

Returns:
  font style

#### getFontVariant

    String getFontVariant()

Returns:
  font variant

#### getLetterSpacing

    String getLetterSpacing()

Returns:
  letter spacing

#### getLineHeight

    String getLineHeight()

Returns:
  line height

#### getPosition

    String getPosition()

Returns:
  position

#### getTextAlign

    String getTextAlign()

Returns:
  text align

#### getTextDecoration

    String getTextDecoration()

Returns:
  text decoration

#### getVisibility

    String getVisibility()

Returns:
  visibility

#### getElement

    Element getElement()

Returns:
  target Element

#### getComputedColor

    String getComputedColor()

Returns:
  computed foreground color

#### getComputedBackgroundColor

    String getComputedBackgroundColor()

Returns:
  computed background color

#### getComputedBackgroundImage

    String getComputedBackgroundImage()

Returns:
  computed background image (considering transparent background color)

#### hasChildText

    boolean hasChildText()

Returns:
  has text directly under the element

#### hasDescendantTextWithBGImage

    boolean hasDescendantTextWithBGImage()

Returns:
  has text descendant that may be affected by the background image of this style

#### getChildTexts

    String[] getChildTexts()

Returns:
  texts directly under the element

#### getDescendantTextsWithBGImage

    String[] getDescendantTextsWithBGImage()

Returns:
  descendant texts under the element